Loading...
Searching...
No Matches
path.hpp File Reference
API

here is the definition of the path class More...

`#include "../my_config.h"`
`#include <list>`
`#include <string>`
`#include "integers.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes

class | libdar::path
| the class path is here to manipulate paths in the Unix notation: using'/' More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Variables

const std::string | libdar::PSEUDO_ROOT
| root name to use when archive operation does not use filesystem (archive testing for example)
const path | libdar::FAKE_ROOT
| root path object based on PSEUDO_ROOT

## Detailed Description

here is the definition of the path class

the path class handle path and provide several operation on them

Definition in file path.hpp.